<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:23 CEST 2019 -->
<title>TransactionParameterBuffer (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="TransactionParameterBuffer (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html" title="interface in org.firebirdsql.gds"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../org/firebirdsql/gds/VaxEncoding.html" title="class in org.firebirdsql.gds"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/gds/TransactionParameterBuffer.html" target="_top">Frames</a></li>
<li><a href="TransactionParameterBuffer.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.firebirdsql.gds</div>
<h2 title="Interface TransactionParameterBuffer" class="title">Interface TransactionParameterBuffer</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;<a href="../../../org/firebirdsql/gds/Parameter.html" title="interface in org.firebirdsql.gds">Parameter</a>&gt;, <a href="../../../org/firebirdsql/gds/ParameterBuffer.html" title="interface in org.firebirdsql.gds">ParameterBuffer</a></dd>
</dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../org/firebirdsql/gds/impl/TransactionParameterBufferImpl.html" title="class in org.firebirdsql.gds.impl">TransactionParameterBufferImpl</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">TransactionParameterBuffer</span>
extends <a href="../../../org/firebirdsql/gds/ParameterBuffer.html" title="interface in org.firebirdsql.gds">ParameterBuffer</a></pre>
<div class="block">Instances of this interface represent Transaction Parameter Buffer from the
 Firebird API.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/TransactionParameterBuffer.html#AUTOCOMMIT">AUTOCOMMIT</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/TransactionParameterBuffer.html#COMMIT_TIME">COMMIT_TIME</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/TransactionParameterBuffer.html#CONCURRENCY">CONCURRENCY</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/TransactionParameterBuffer.html#CONSISTENCY">CONSISTENCY</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/TransactionParameterBuffer.html#EXCLUSIVE">EXCLUSIVE</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/TransactionParameterBuffer.html#IGNORE_LIMBO">IGNORE_LIMBO</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/TransactionParameterBuffer.html#LOCK_READ">LOCK_READ</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/TransactionParameterBuffer.html#LOCK_TIMEOUT">LOCK_TIMEOUT</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/TransactionParameterBuffer.html#LOCK_WRITE">LOCK_WRITE</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/TransactionParameterBuffer.html#NO_AUTO_UNDO">NO_AUTO_UNDO</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/TransactionParameterBuffer.html#NO_REC_VERSION">NO_REC_VERSION</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/TransactionParameterBuffer.html#NOWAIT">NOWAIT</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/TransactionParameterBuffer.html#PROTECTED">PROTECTED</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/TransactionParameterBuffer.html#READ">READ</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/TransactionParameterBuffer.html#READ_COMMITTED">READ_COMMITTED</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/TransactionParameterBuffer.html#REC_VERSION">REC_VERSION</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/TransactionParameterBuffer.html#RESTART_REQUESTS">RESTART_REQUESTS</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/TransactionParameterBuffer.html#SHARED">SHARED</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/TransactionParameterBuffer.html#VERB_TIME">VERB_TIME</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/TransactionParameterBuffer.html#WAIT">WAIT</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/TransactionParameterBuffer.html#WRITE">WRITE</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../org/firebirdsql/gds/TransactionParameterBuffer.html" title="interface in org.firebirdsql.gds">TransactionParameterBuffer</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/TransactionParameterBuffer.html#deepCopy--">deepCopy</a></span>()</code>
<div class="block">Make a deep copy of this object.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.firebirdsql.gds.ParameterBuffer">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.firebirdsql.gds.<a href="../../../org/firebirdsql/gds/ParameterBuffer.html" title="interface in org.firebirdsql.gds">ParameterBuffer</a></h3>
<code><a href="../../../org/firebirdsql/gds/ParameterBuffer.html#addArgument-int-">addArgument</a>, <a href="../../../org/firebirdsql/gds/ParameterBuffer.html#addArgument-int-byte:A-">addArgument</a>, <a href="../../../org/firebirdsql/gds/ParameterBuffer.html#addArgument-int-int-">addArgument</a>, <a href="../../../org/firebirdsql/gds/ParameterBuffer.html#addArgument-int-long-">addArgument</a>, <a href="../../../org/firebirdsql/gds/ParameterBuffer.html#addArgument-int-java.lang.String-">addArgument</a>, <a href="../../../org/firebirdsql/gds/ParameterBuffer.html#addArgument-int-java.lang.String-org.firebirdsql.encodings.Encoding-">addArgument</a>, <a href="../../../org/firebirdsql/gds/ParameterBuffer.html#getArgumentAsInt-int-">getArgumentAsInt</a>, <a href="../../../org/firebirdsql/gds/ParameterBuffer.html#getArgumentAsString-int-">getArgumentAsString</a>, <a href="../../../org/firebirdsql/gds/ParameterBuffer.html#getType--">getType</a>, <a href="../../../org/firebirdsql/gds/ParameterBuffer.html#hasArgument-int-">hasArgument</a>, <a href="../../../org/firebirdsql/gds/ParameterBuffer.html#iterator--">iterator</a>, <a href="../../../org/firebirdsql/gds/ParameterBuffer.html#removeArgument-int-">removeArgument</a>, <a href="../../../org/firebirdsql/gds/ParameterBuffer.html#size--">size</a>, <a href="../../../org/firebirdsql/gds/ParameterBuffer.html#toBytes--">toBytes</a>, <a href="../../../org/firebirdsql/gds/ParameterBuffer.html#toBytesWithType--">toBytesWithType</a>, <a href="../../../org/firebirdsql/gds/ParameterBuffer.html#toXdrable--">toXdrable</a>, <a href="../../../org/firebirdsql/gds/ParameterBuffer.html#writeArgumentsTo-java.io.OutputStream-">writeArgumentsTo</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Iterable">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Iterable.html?is-external=true#forEach-java.util.function.Consumer-" title="class or interface in java.lang">forEach</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Iterable.html?is-external=true#spliterator--" title="class or interface in java.lang">spliterator</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="AUTOCOMMIT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>AUTOCOMMIT</h4>
<pre>static final&nbsp;int AUTOCOMMIT</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.TransactionParameterBuffer.AUTOCOMMIT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="READ_COMMITTED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>READ_COMMITTED</h4>
<pre>static final&nbsp;int READ_COMMITTED</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.TransactionParameterBuffer.READ_COMMITTED">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="REC_VERSION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>REC_VERSION</h4>
<pre>static final&nbsp;int REC_VERSION</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.TransactionParameterBuffer.REC_VERSION">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="NO_REC_VERSION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>NO_REC_VERSION</h4>
<pre>static final&nbsp;int NO_REC_VERSION</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.TransactionParameterBuffer.NO_REC_VERSION">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="CONCURRENCY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CONCURRENCY</h4>
<pre>static final&nbsp;int CONCURRENCY</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.TransactionParameterBuffer.CONCURRENCY">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="CONSISTENCY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CONSISTENCY</h4>
<pre>static final&nbsp;int CONSISTENCY</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.TransactionParameterBuffer.CONSISTENCY">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="SHARED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SHARED</h4>
<pre>static final&nbsp;int SHARED</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.TransactionParameterBuffer.SHARED">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="PROTECTED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PROTECTED</h4>
<pre>static final&nbsp;int PROTECTED</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.TransactionParameterBuffer.PROTECTED">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="EXCLUSIVE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>EXCLUSIVE</h4>
<pre>static final&nbsp;int EXCLUSIVE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.TransactionParameterBuffer.EXCLUSIVE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="WAIT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>WAIT</h4>
<pre>static final&nbsp;int WAIT</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.TransactionParameterBuffer.WAIT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="NOWAIT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>NOWAIT</h4>
<pre>static final&nbsp;int NOWAIT</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.TransactionParameterBuffer.NOWAIT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="READ">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>READ</h4>
<pre>static final&nbsp;int READ</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.TransactionParameterBuffer.READ">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="WRITE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>WRITE</h4>
<pre>static final&nbsp;int WRITE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.TransactionParameterBuffer.WRITE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="LOCK_READ">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>LOCK_READ</h4>
<pre>static final&nbsp;int LOCK_READ</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.TransactionParameterBuffer.LOCK_READ">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="LOCK_WRITE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>LOCK_WRITE</h4>
<pre>static final&nbsp;int LOCK_WRITE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.TransactionParameterBuffer.LOCK_WRITE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="VERB_TIME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>VERB_TIME</h4>
<pre>static final&nbsp;int VERB_TIME</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.TransactionParameterBuffer.VERB_TIME">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="COMMIT_TIME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>COMMIT_TIME</h4>
<pre>static final&nbsp;int COMMIT_TIME</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.TransactionParameterBuffer.COMMIT_TIME">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="IGNORE_LIMBO">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>IGNORE_LIMBO</h4>
<pre>static final&nbsp;int IGNORE_LIMBO</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.TransactionParameterBuffer.IGNORE_LIMBO">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="RESTART_REQUESTS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>RESTART_REQUESTS</h4>
<pre>static final&nbsp;int RESTART_REQUESTS</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.TransactionParameterBuffer.RESTART_REQUESTS">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="NO_AUTO_UNDO">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>NO_AUTO_UNDO</h4>
<pre>static final&nbsp;int NO_AUTO_UNDO</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.TransactionParameterBuffer.NO_AUTO_UNDO">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="LOCK_TIMEOUT">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>LOCK_TIMEOUT</h4>
<pre>static final&nbsp;int LOCK_TIMEOUT</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.TransactionParameterBuffer.LOCK_TIMEOUT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="deepCopy--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>deepCopy</h4>
<pre><a href="../../../org/firebirdsql/gds/TransactionParameterBuffer.html" title="interface in org.firebirdsql.gds">TransactionParameterBuffer</a>&nbsp;deepCopy()</pre>
<div class="block">Make a deep copy of this object.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>deep copy of this object.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html" title="interface in org.firebirdsql.gds"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../org/firebirdsql/gds/VaxEncoding.html" title="class in org.firebirdsql.gds"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/gds/TransactionParameterBuffer.html" target="_top">Frames</a></li>
<li><a href="TransactionParameterBuffer.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
